Name:		dkms-vzvirtio_balloon
Version: 0.17
Release:	1%{?dist}
Summary:	vzvirtio_balloon kernel module

Group:		System Environment/Kernel
License:	GPLv2+
URL:		http://vzvirtio_balloon.sourceforge.net/
Source0:	vzvirtio_balloon.tar.gz
BuildArch:	noarch
Requires:	gcc, make
Requires(post):	dkms
Requires(preun): dkms

%description
Improved virtio_balloon driver for VM guests.

%prep
%setup -q -n vzvirtio_balloon/centos_7.2

%build

%install
rm -rf %{buildroot}
%define dkms_name vzvirtio_balloon
%define dkms_vers %{version}-%{release}
#%define quiet -q

# Kernel module sources install for dkms
mkdir -p %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/
cp -a  * %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/

# Configuration for dkms
cat > %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/dkms.conf << 'EOF'
PACKAGE_NAME=%{dkms_name}
PACKAGE_VERSION=%{dkms_vers}
BUILT_MODULE_NAME[0]=%{dkms_name}
DEST_MODULE_LOCATION[0]=/kernel/drivers/virtio
AUTOINSTALL="YES"
EOF

%clean
rm -rf %{buildroot}

%post
# Add to DKMS registry
dkms add -m %{dkms_name} -v %{dkms_vers} %{?quiet} --rpm_safe_upgrade
# Rebuild and make available for the currenty running kernel
dkms build -m %{dkms_name} -v %{dkms_vers} %{?quiet}
dkms install -m %{dkms_name} -v %{dkms_vers} %{?quiet} --force

if [ -d /sys/bus/virtio/drivers/virtio_balloon ]; then
    ls /sys/bus/virtio/drivers/virtio_balloon | grep virtio | while read dev; do
        echo $dev > /sys/bus/virtio/drivers/virtio_balloon/unbind
        echo $dev > /sys/bus/virtio/drivers/vzvirtio_balloon/bind
    done
    modprobe -r virtio_balloon
fi

%preun
# Remove all versions from DKMS registry
dkms remove -m %{dkms_name} -v %{dkms_vers} %{?quiet} --all --rpm_safe_upgrade

%files
%defattr(-,root,root,-)
%{_usrsrc}/%{dkms_name}-%{dkms_vers}/


%changelog
